Subject: Re: [PATCH v3 0/8] improve "git format-patch --commit-list-format"

From: Mirko Faina <[email-masked]>
Date: Fri, 27 Mar 2026 17:18:10 +0100

On Fri, Mar 27, 2026 at 09:04:44AM -0700, Junio C Hamano wrote:
> When the payload _can_ be specified to wrap (i.e., end-user
> configurable output format), the wrapping should not be forced by
> the mechanism.  A project that is not ours may want to keep a single
> long line for their commit list entries.
> 
> I do not mind if the default "modern" were defined to include %w()
> to force wrapping to those who follow the default, of course.  But
> do not unconditionally wrap what the end-user formatted to their
> liking.

I see, since there's not much to edit, I'll send the changes regarding
the docs and the wrapping in a single series (I saw that you already
made mf/format-patch-commit-list-format-doc but I hope it is not a
problem), instead of submitting a new one.